Energia

## length()

#### Description

Returns the length of the String, in characters. (Note that this doesn't include a trailing null character.)

#### Syntax

string.length()

#### Parameters

string: a variable of type String

#### Returns

The length of the String in characters.

#### Example

- StringLengthTrim

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes